extends Node

@onready var PauseMenu := $PauseMenu/Root

func _ready():
	PauseMenu.hide()

func _process(_delta):
	if Input.is_action_just_pressed("toggle_fullscreen"):
		var new_mode
		if DisplayServer.window_get_mode() == DisplayServer.WINDOW_MODE_FULLSCREEN:
			new_mode = DisplayServer.WINDOW_MODE_WINDOWED
		else:
			new_mode = DisplayServer.WINDOW_MODE_FULLSCREEN
		DisplayServer.window_set_mode(new_mode)
	if Input.is_action_just_pressed("pause"):
		PauseMenu.visible = !PauseMenu.visible
		get_tree().paused = PauseMenu.visible

func _on_exit_game_pressed():
	get_tree().quit()
